{%- from 'components/section.html.jinja' import section_base, section_full, section_text_left, section_text_right -%}
{%- from 'components/news.html.jinja' import news_grid -%}
{% extends "root.html.jinja" %}

{% macro _baustein_link(baustein) %}
  <div class="col-xl-4 d-flex flex-column">
    <div class="card text-bg-light flex-fill shadow">
      <div class="card-body p-5 text-center">
        <h3 class="card-title mb-1 text-primary fw-bold display-3">
          {{ baustein.count }}
          <span
            class="d-block fs-4 card-title mt-1 mb-5 text-muted fw-semibold"
          >
            Katalogeinträge im Baustein {{ baustein.baustein_titel }}
          </span>
        </h3>
        <a
          class="btn btn-lg btn-primary d-inline-flex align-items-center gap-2"
          href="{{ baustein.link_url }}"
          >{{ baustein.link_label }}</a
        >
      </div>
    </div>
  </div>
{% endmacro %}

{%- block page -%}
  <div class="header-grid">
    <div
      class="background bg-header"
      style="background-image: url('{{ base.header_bg_image.url }}');"
    ></div>
    <section class="title container py-5 text-break text-white">
      <h1>
        <span class="fs-1 fw-light d-block mb-4 "
          >Föderales Informationsmanagement</span
        >
        <span class="display-2 fw-semibold d-block">
          Der Standard für Verwaltungsleistungen
        </span>
      </h1>
    </section>

    <section class="cards container">
      <h2 class="visually-hidden">Übersicht der FIM-Bausteine</h2>
      <div class="row g-3">
        {{ _baustein_link(page.link_leistungen) }}
        {{ _baustein_link(page.link_datenfelder) }}
        {{ _baustein_link(page.link_prozesse) }}
      </div>
    </section>
  </div>

  {#
  <section
    class="py-5 bg-light"
    style="background-image: url('{{ page.header_image.url }}'); background-size: cover; background-repeast: repeat no-repeat;"
  >
    <div class="container py-5">
      <h1 class="display-6">Förderales Informationsmanagement</h1>
      <h2 class="display-4">Der Standard für Verwaltungsleistungen</h2>
    </div>
    <div style="height: 100px;"></div>
  </section>

  <section class="position-relative">
    <div class="position-absolute start-0 end-0" style="top: -100px;">
      <div class="container">
        <div class="row g-3">
          {{ _baustein_link(page.link_leistungen) }}
          {{ _baustein_link(page.link_datenfelder) }}
          {{ _baustein_link(page.link_prozesse) }}
        </div>
      </div>
    </div>
  </section>
  #}

  {% call section_base(false) %}
    <div class="row g-5">
      <div class="col-lg-6">
        <h2 class="text-primary fs-4">
          Was ist FIM?
          <span class="d-block text-dark fs-2 mt-2 mb-4">
            FIM beschleunigt die Digitalisierung der Verwaltung
          </span>
        </h2>
        <div class="mb-4">{{ page.was_ist_fim_text|safe }}</div>
        <a class="btn btn-light" href="/ueber-fim">Mehr erfahren</a>
      </div>
      <div class="col-lg-6">
        <video
          class="rounded w-100"
          controls
          poster="{{ page.was_ist_fim_video_thumbnail.url }}"
          aria-label="FIM Erklärvideo"
        >
          <source
            src="{{ page.was_ist_fim_video.url }}"
            type="{{ page.was_ist_fim_video.mime }}"
          />
          <track
            label="Deutsch"
            kind="subtitles"
            srclang="de"
            src="{{ page.was_ist_fim_video_subtitles.url }}"
            default
          />
          <p>
            Ihr Browser unterstützt das Video-Element nicht. Sie können das
            Video
            <a href="{{ page.was_ist_fim_video.url }}">hier herunterladen</a>.
          </p>
        </video>
      </div>
    </div>
  {% endcall %}

  {% macro _card(title, text, icon, target) %}
    <div class="card">
      <div class="card-body p-4">
        <a
          class="d-flex flex-row justify-content-between icon-link icon-link-hover h2 text-decoration-none"
          href="{{ target }}"
        >
          <div class="d-flex flex-row gap-2 align-items-center mb-2">
            <div
              class="rounded d-inline-flex justify-content-center align-items-center fs-4 text-primary bg-itpr-blue-6"
              style="width: 2.4rem; height: 2.4rem;"
            >
              <i class="bi bi-{{ icon }}" aria-hidden="true"></i>
            </div>
            <h3 class="fs-4 card-title mb-0">{{ title }}</h3>
          </div>

          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="16"
            height="16"
            fill="currentColor"
            class="bi bi-arrow-right"
            viewBox="0 0 16 16"
          >
            <path
              fill-rule="evenodd"
              d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8"
            />
          </svg>
        </a>
        <p class="card-text">{{ text }}</p>
      </div>
    </div>
  {% endmacro %}

  {% call section_text_left(page.get_mit_fim_arbeiten_section(), true) %}
    <div class="d-flex flex-column gap-3">
      {{ _card("Kataloge", page.mit_fim_arbeiten_kataloge, "list", "/kataloge") }}
      {{ _card("Arbeitsmittel", page.mit_fim_arbeiten_arbeitsmittel, "files", "/arbeitsmittel") }}
      {{ _card("Dokumentation", page.mit_fim_arbeiten_dokumentation, "question", base.docs_link) }}
    </div>
  {% endcall %}

  {% call section_full(page.get_news_section(), false) %}
    {{ news_grid(news) }}
    <div class="d-flex flex-row justify-content-center mt-5">
      <a class="btn btn-light" href="/news">Alle News ansehen</a>
    </div>
  {% endcall %}

  {% call section_text_left(page.get_schulungen_section(), true) %}
    <div class="d-flex justify-content-center">
      <img
        loading="lazy"
        src="{{ page.schulungen_image.url }}"
        alt=""
        class="rounded img-fluid"
      />
    </div>
  {% endcall %}

  <div class="overlap-section">
    <div class="bg-upper bg-light"></div>
    <div class="bg-lower bg-dark"></div>
    <section class="container my-5">
      <div
        class="card img-bg-card shadow"
        style="background-image: url('{{ page.ansprechpartner_bg_image.url }}')"
      >
        <div class="card-body p-5">
          <h2 class="fs-2 mb-5">Kontaktieren Sie uns</h2>
          <div class="row g-5">
            <div class="col-lg-6">
              <h3 class="fs-4 mb-3">FIM-Produkte nutzen</h3>
              <div class="mb-4">{{ page.ansprechpartner_text_left|safe }}</div>
              <a class="btn btn-lg btn-light" href="/kontakt">
                Zu den Ansprechpersonen
                <i class="bi bi-person-fill" aria-hidden="true"></i>
              </a>
            </div>

            <div class="col-lg-6">
              <h3 class="fs-4 mb-3">Allgemeine Anfragen</h3>
              <div class="mb-4">{{ page.ansprechpartner_text_right|safe }}</div>
              <a
                class="btn btn-lg btn-light"
                href="mailto:{{ base.central_support_email }}"
              >
                Zentraler Kontakt
                <i class="bi bi-envelope-fill" aria-hidden="true"></i>
              </a>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
{%- endblock -%}
